<?php

namespace Drupal\flashpoint_community\Access;

use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Routing\RouteMatchInterface;
use Symfony\Component\Routing\Route;
use Symfony\Component\HttpFoundation\Request;
use Drupal\group\Access\GroupPermissionAccessCheck;
use Drupal\flashpoint_community\FlashpointCommunityUtilities;


class FlashpointCommunityGroupTypeAccessCheck implements AccessInterface {

  public function access(Route $route, RouteMatchInterface $route_match, AccountInterface $account) {
    $community = $route_match->getParameter('group');
    if ($community && $community->get('type')->getValue()[0]['target_id'] === 'community') {
      $access = new GroupPermissionAccessCheck();
      return AccessResult::allowedIf($access->access($route,$route_match,$account));
    }
    // If this isn't a community, then we should hide/deny access to this route.
    return AccessResult::forbidden();
  }
}