<?php

namespace Drupal\flashpoint_course\Access;

use Drupal\Core\Routing\Access\AccessInterface;
use Drupal\Core\Session\AccountInterface;
use Drupal\Core\Access\AccessResult;
use Drupal\Core\Routing\RouteMatchInterface;
use Symfony\Component\Routing\Route;
use Symfony\Component\HttpFoundation\Request;
use Drupal\group\Access\GroupPermissionAccessCheck;
use Drupal\flashpoint_course\FlashpointCourseUtilities;


class FlashpointCourseGroupTypeAccessCheck implements AccessInterface {

  public function access(Route $route, RouteMatchInterface $route_match, AccountInterface $account) {
    $course = $route_match->getParameter('group');
    if ($course && $course->get('type')->getValue()[0]['target_id'] === 'course') {
      $access = new GroupPermissionAccessCheck();
      return AccessResult::allowedIf($access->access($route,$route_match,$account));
    }
    // If this isn't a course, then we should hide/deny access to this route.
    return AccessResult::forbidden();
  }
}